maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Since Future World and MoreTech are incompatible with the new version of Vox Populi, I wanted to share an updated version of Future Era to all.

I have changed Global Hegemony resolution(diplo victory) to the Digital Society technology to be able to enjoy the new era, as well as the Utopia Project to Human Augmentation.

Some new things are added like the Augmented Diplomat, Clones, Space ships, Nanomines field, BioMercenaries, Space Colonist and Marines, etc..

Download here :
https://drive.google.com/drive/folders/1QXuNEqTAMNwpNOxiroT1BFh4lJejn-7w?usp=sharing

Required Mods
This requires the complete version of VP with the Enlightenment Era for VP


Do a test first, make sure you have all the required mods enabled with FutureAge. Works fine for me

Extra :
If you like to have Generic polder and Terrace farm for every civilizations, you can download an updated version for Future Age VP in the same Google Driver.
 
Last edited:

danymatrix

Warlord
Joined
Jun 30, 2012
Messages
130
hello. I have always liked that mod from the future and also the one from the prehistoric era. But it turns out that I installed it and it gives me this error in the titles and in some texts of the mode itself. I have the 2 required mos installed (VP and enlighment era). Can it be fixed somehow? Thank you.
 

Attachments

  • error.jpg
    error.jpg
    714 KB · Views: 136

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Mmm, it looks like you have a mod that modify the information era as well, I can see the same unit two times (the UAV) from Internet and Digitization. One unit has probably the same TXT_KEY_NAME... of one included in Future Age, therefore all others units don't appear in the tree
 

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
I patched most of the remaining bugs into a new version, and didn't see any crash with the ingame editor, sorry. The mod is quite heavy, I suggest you all unselect 'Yield Icons' near the modern era to help run the game.
 

Towerdepths

Chieftain
Joined
Apr 14, 2022
Messages
4
Hey, thanks for updating this. I seem to be having an issue regarding the Enlightenment Era, though. Once I hit that point, the tech tree starts going haywire. It states that I'm at an era above the Modern Era (prompting a free ideology), the era bar in the tech tree is completely filled, and Specialists start consuming an absurd amount of food. Would you happen to be able to replicate this?
 

paradox meem

Chieftain
Joined
Apr 15, 2019
Messages
14
Sorry, but how does one use this with MoreTech? I have been having great issue getting it to work with modern versions of VP.
 

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Sorry, but how does one use this with MoreTech? I have been having great issue getting it to work with modern versions of VP.
There is no way it works with MoreTech, since it modifies the same techs, buildings, units, etc.. you can only pick one
 

Towerdepths

Chieftain
Joined
Apr 14, 2022
Messages
4
Hey, I can't seem to get the tech tree to show up like it should. Is anyone else having this issue? And if so, then can you describe what mods you're using?
 

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Hey, I can't seem to get the tech tree to show up like it should. Is anyone else having this issue? And if so, then can you describe what mods you're using?
I updated the 'required mods' to the current page of the lastest version. Make sure you also have Vox Populi 2.5+, not an old one
 
Last edited:

Towerdepths

Chieftain
Joined
Apr 14, 2022
Messages
4
Thanks for the response! That's... sort of the problem though. This is the most recent Vox Populi release, with the most recent versions of all those required mods. I'm also using Bare Necessities and PineappleDan's Tweaks, but even after I removed those the problem persists. Curiously enough, the tech tree does change, but it doesn't extend into the 'Future Era' like it should, nor do the Future Worlds techs show up like they should; they don't at all.

EDIT: To elaborate, when I use the Enlightenment Era for VP mod, I get only the techs from the EEfVP mod. When I use Future Age for VP on top of it, it doesn't add any more techs. When I use Future Age VP by itself, it makes the tech tree look really weird, but it still doesn't add the new techs into the game at all. Would you know why that might be the case?
 
Last edited:

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Is PineappleDan's Tweaks the last version too ? I could access your comp and try to find the solution,because I can't tell the problem just with that
 

Towerdepths

Chieftain
Joined
Apr 14, 2022
Messages
4
Yeah, Tweaks is at its most recent version too, but even after I disable everything except a newly installed VPwEUI, the prerequisite mods you've already specified, and Future Age VP itself, I still get the error. This is after a clean install, too, so... I'm really confused since this seems to be both persistent and unusual.

Is there a log file that I could share that would help you get to the bottom of this? I'd be happy to help, especially if it does turn out to be some sort of bug.
 

maxaug999

Chieftain
Joined
Apr 21, 2021
Messages
32
Yeah, Tweaks is at its most recent version too, but even after I disable everything except a newly installed VPwEUI, the prerequisite mods you've already specified, and Future Age VP itself, I still get the error. This is after a clean install, too, so... I'm really confused since this seems to be both persistent and unusual.

Is there a log file that I could share that would help you get to the bottom of this? I'd be happy to help, especially if it does turn out to be some sort of bug.
I don't think I have the skills to understand the logfile, never read one from civ actually
@danymatrix does it work well for you ? Might delete the mod if it doesn't work for anybody, but works perfectly fine for me..
 

Lumpyacidfish

Chieftain
Joined
Jan 23, 2021
Messages
3
Based I've been waiting for this for a long time
time to make my ultra hell modpack
if you want to go even further try the prehistoric mod
ill wait a bit longer to see if the mod actually works
 
Top Bottom